select 'Создание временных таблиц...' as ' ';


select 'Создаём таблицы соответствий... ' as ' ';

--
-- Структура таблицы `tmpLinkType`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpLinkType` (
    `code` tinyint(2) NOT NULL,
    `name` varchar(20) NOT NULL,
PRIMARY KEY ( `code` )
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
    
--
-- Дамп данных таблицы `tmpLinkType`
--
    
INSERT IGNORE INTO `tmpLinkType` (`code`, `name`)
VALUES
    (0, ''),
    (1, 'неизвестно'),
    (2, 'соответствует'),
    (3, 'соответствует'),
    (4, 'удалить'),
    (5, 'добавить'),
    (-1, 'ошибка');


--
-- Структура таблицы `tmpSpeciality`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpSpeciality` (
  `code` varchar(5) NOT NULL,
  `s11Code` varchar(8) default NULL,
  `name` varchar(30) NOT NULL,
PRIMARY KEY  (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
--
-- Дамп данных таблицы `tmpSpeciality`
--
	
INSERT IGNORE INTO `tmpSpeciality` (`code`, `s11Code`, `name`)
VALUES
	('10', '24', 'КАРДИОЛОГ'),
	('11', '08', 'ГАСТРОЭНТЕРОЛОГ'),
	('12', '22', 'ДИЕТОЛОГ'),
	('13', '43', 'НЕФРОЛОГ'),
	('14', '91', 'ЭНДОКРИНОЛОГ'),
	('15', '21', 'ДИАБЕТОЛОГ'),
	('16', '03', 'АЛЛЕРГОЛОГ-ИММУНОЛОГ'),
	('17', '09', 'ГЕМАТОЛОГ'),
	('18', '23', 'ИНФЕКЦИОНИСТ'),
	('19', '86', 'ФИЗИОТЕРАПЕВТ'),
	('20', '33', 'ЛФК'),
	('200', '78', 'ТЕРАПЕВТ ДИСП.'),
	('201', '78', 'ТЕРАПЕВТ ИОВ'),
	('202', NULL, 'ДШО'),
	('203', '50', 'ГЕЛЬМИНТОЛОГ'),
	('204', NULL, 'ЛОГОПЕД'),
	('205', NULL, 'АНДРОЛОГ'),
	('206', '68', 'ВРАЧ НЕОТЛОЖНОЙ ПОМОЩИ'),
	('207', '62', 'ИГЛОРЕФЛЕКСОТЕРАПЕВТ'),
	('208', '45', 'общая практика (терапевт?)'),
	('217', '78', 'ТЕРАПЕВТ Ж/К'),
	('22', '88', 'ФУНКЦИОНАЛЬНАЯ ДИАГНОСТИКА'),
	('23', '89', 'ХИРУРГ'),
	('24', '65', 'CЕРДЕЧНО-СОСУДИСТЫЙ ХИРУРГ'),
	('25', '80', 'ТОРАКАЛЬНЫЙ ХИРУРГ'),
	('26', '28', 'ПРОКТОЛОГ'),
	('27', '81', 'ТРАВМАТОЛОГ-ОРТОПЕД'),
	('28', '84', 'УРОЛОГ'),
	('29', '41', 'НЕЙРОХИРУРГ'),
	('3', '78', 'ТЕРАПЕВТ'),
	('30', '04', 'АНЕСТЕЗИОЛОГ'),
	('32', '46', 'ОНКОЛОГ'),
	('33', '59', 'РАДИОЛОГ'),
	('34', '70', 'СТОМАТОЛОГ'),
	('35', '02', 'АКУШЕР-ГИНЕКОЛОГ'),
	('36', '02', 'АКУШЕР-ГИНЕКОЛОГ ЦЕХ'),
	('37', '52', 'ПЕДИАТР'),
	('38', '52', 'ПЕДИАТР УЧАСТ.'),
	('4', '78', 'ТЕРАПЕВТ УЧАСТ.'),
	('40', '42', 'НЕОНАТОЛОГ'),
	('41', '49', 'ОФТАЛЬМОЛОГ'),
	('42', '48', 'ОТОЛАРИНГОЛОГ'),
	('43', '87', 'ФТИЗИАТР'),
	('44', '40', 'НЕВРОПАТОЛОГ'),
	('45', '54', 'ПСИХИАТР'),
	('46', '55', 'НАРКОЛОГ'),
	('47', '56', 'ПСИХОТЕРАПЕВТ'),
	('48', '64', 'СЕКСОПАТОЛОГ'),
	('49', '76', 'СУДЕБНЫЙ ПСИХИАТР'),
	('50', '15', 'ДЕРМАТОВЕНЕРОЛОГ'),
	('51', '51', 'ПАТАЛОГОАНАТОМ'),
	('52', '05', 'БАКТЕРИОЛОГ'),
	('53', '32', 'ВРАЧ-ЛАБОРАНТ'),
	('54', '79', 'ТОКСИКОЛОГ'),
	('55', '29', 'ЛАБОРАНТ-ГЕНЕТ.'),
	('56', '10', 'ГЕНЕТИК'),
	('57', '83', 'УЗИ'),
	('58', '61', 'РЕНТГЕНОЛОГ'),
	('59', '11', 'ГЕРИАТР'),
	('6', '78', 'ТЕРАПЕВТ ЦЕХОВ.'),
	('60', NULL, 'ВРАЧ ПРИЕМ.ПОК.'),
	('61', '53', 'ПРОФПАТОЛОГ'),
	('7', '78', 'ТЕРАПЕВТ ПОДР.'),
	('71', '02', 'АКУШЕРКА'),
	('8', '57', 'ПУЛЬМАНОЛОГ'),
	('9', '60', 'РЕВМАТОЛОГ'),
	('39', '07', 'Восст.лечение'),
	('гд10', '24', 'КАРДИОЛОГ'),
	('гд11', '08', 'ГАСТРОЭНТЕРОЛОГ'),
	('гд13', '43', 'НЕФРОЛОГ'),
	('гд14', '91', 'ЭНДОКРИНОЛОГ'),
	('гд16', '03', 'АЛЛЕРГОЛОГ-ИММУНОЛОГ'),
	('гд18', '23', 'ИНФЕКЦИОНИСТ'),
	('гд200', '78', 'ТЕРАПЕВТ ДИСП.'),
	('гд201', '78', 'ТЕРАПЕВТ ИОВ'),
	('гд217', '78', 'ТЕРАПЕВТ Ж/К'),
	('гд23', '89', 'ХИРУРГ'),
	('гд27', '81', 'ТРАВМАТОЛОГ-ОРТОПЕД'),
	('гд28', '84', 'УРОЛОГ'),
	('гд3', '78', 'ТЕРАПЕВТ'),
	('гд32', '46', 'ОНКОЛОГ'),
	('гд35', '02', 'АКУШЕР-ГИНЕКОЛОГ'),
	('гд36', '02', 'АКУШЕР-ГИНЕКОЛОГ ЦЕХ'),
	('гд37', '52', 'ПЕДИАТР'),
	('гд38', '52', 'ПЕДИАТР УЧАСТ.'),
	('гд4', '78', 'ТЕРАПЕВТ УЧАСТ.'),
	('гд41', '49', 'ОФТАЛЬМОЛОГ'),
	('гд42', '48', 'ОТОЛАРИНГОЛОГ'),
	('гд44', '40', 'НЕВРОПАТОЛОГ'),
	('гд50', '15', 'ДЕРМАТОВЕНЕРОЛОГ'),
	('гд6', '78', 'ТЕРАПЕВТ ЦЕХОВ.'),
	('гд7', '78', 'ТЕРАПЕВТ ПОДР.'),
	('гд9', '60', 'РЕВМАТОЛОГ'),
	('гд39', '07', 'Восст.лечение');




--
-- Структура таблицы `tmpDoctype`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpDoctype` (
  `svDocumentType` tinyint(4) NOT NULL,
  `rbDocumentType` int(11) default NULL,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY  (`svDocumentType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `tmpDoctype`
--

INSERT IGNORE INTO `tmpDoctype` (`svDocumentType`, `rbDocumentType`, `name`) VALUES
(0, NULL, 'не задано'),
(1, 14, 'паспорт СССР'),
(2, 13, 'удостоверение личности'),
(3, NULL, 'непонятно'),
(4, 1, 'паспорт РФ'),
(5, 13, 'удостоверение личности'),
(6, NULL, 'непонятно'),
(7, NULL, 'непонятно'),
(8, NULL, 'непонятно'),
(9, 13, 'удостоверение личности');




--
-- Структура таблицы `tmpFinance`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpFinance` (
    `svPay` tinyint(1) NOT NULL,
    `rbFinance` int(11) NOT NULL COMMENT 'Код',
    `name` varchar(64) NOT NULL COMMENT 'Наименование',
PRIMARY KEY  (`svPay`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Источники финансирования';
	
--
-- Дамп данных таблицы `tmpFinance`
--
	
INSERT IGNORE INTO `tmpFinance` (`svPay`, `rbFinance`, `name`) VALUES
	(4, 1, 'бюджет'),
	(1, 2, 'ОМС'),
	(2, 3, 'ДМС'),
	(3, 4, 'платные услуги'),
	(9, 5, 'прочее');
	



--
-- Структура таблицы `tmpPurpose`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpPurpose` (
    `svPurpose` tinyint(1) NOT NULL,
    `rbPurpose` int(11) COMMENT 'Код',
    `eventTypeCode` varchar(8) COMMENT 'Тип обращения',
    `name` varchar(64) NOT NULL COMMENT 'Наименование',
PRIMARY KEY ( `svPurpose` )
 ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Источники финансирования';
      
--
-- Дамп данных таблицы `tmpPurpose`
--
      
INSERT IGNORE INTO `tmpPurpose` (`svPurpose`, `rbPurpose`, `eventTypeCode`, `name`) VALUES
      (1, 2, '01', 'лечебно-диагностический'),
      (2, 2, '02', 'консультация'),
      (3, 2, '03', 'диспансерное наблюдение'),
      (4, 3, '04', 'профилактика'),
      (5, 3, '05', 'профилактический или профессиональный осмотр'),
      (6, 2, '07', 'реабилитация'),
      (9, 5, '14', 'прочая');
      
      
      
      
      
      
      
       
    
--
-- Структура таблицы `tmpDiseaseCharacter`
--
      
CREATE TEMPORARY TABLE IF NOT EXISTS `tmpDiseaseCharacter` (
`svDiseaseCharacter` tinyint(1) NOT NULL,
`rbDiseaseCharacter` int(11) default NULL,
`name` varchar(50) NOT NULL,
PRIMARY KEY  (`svDiseaseCharacter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	      
--
-- Дамп данных таблицы `tmpDiseaseCharacter`
--
	      
INSERT IGNORE INTO `tmpDiseaseCharacter` (`svDiseaseCharacter`, `rbDiseaseCharacter`, `name`) VALUES
	      (0, NULL, 'не задано'),
	      (1, 1, 'острое'),
	      (2, 2, 'хроническое впервые выявленное'),
	      (3, 3, 'хроническое ранее известное'),
	      (4, 4, 'обострение хронического'),
	      (5, 4, 'непонятно, считаем за обострение хронического !!!');
      
      



--
-- Структура таблицы `tmpResults`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpResults` (
    `svPurpose` tinyint(1) NOT NULL,
    `svResult` tinyint(2) NOT NULL,
    `rbResult` int(11),
    `rbResultCode` varchar(8),
    `name` varchar(50) NOT NULL,
PRIMARY KEY ( `svPurpose`, `svResult` )
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
--
-- Дамп данных таблицы `tmpResults`
--
	
INSERT IGNORE INTO `tmpResults` (`svPurpose`, `svResult`, `rbResult`, `rbResultCode`, `name`) VALUES
	(1, 0, 6, '03', 'динамическое наблюдение'),
	(1, 1, 8, '01', 'выздоровление'),
	(1, 2, 22, '02', 'улучшение'),
	(1, 3, 19, '03', 'динамическое наблюдение'),
	(1, 4, 5, '04', 'направлен на госпитализацию'),
	(1, 5, 20, '05', 'направлен в дневной стационар'),
	(1, 6, 21, '06', 'направлен в стационар на дому'),
	(1, 7, 3, '07', 'направлен на консультацию'),
	(1, 8, 4, '08', 'направлен на внешнюю консультацию (в др. ЛПУ)'),
	(1, 9, 27, '09', 'справка для получения путёвки'),
	(1, 10, 6, '10', 'направлен на санаторно-курортное лечение'),
	(2, 0, 19, '03', 'динамическое наблюдение'),
	(2, 1, 8, '01', 'выздоровление (после консультации???)'),
	(2, 2, 22, '02', 'улучшение (после консультации???)'),
	(2, 3, 19, '03', 'динамическое наблюдение'),
	(2, 4, 5, '04', 'направлен на госпитализацию'),
	(2, 5, 20, '05', 'направлен в дневной стационар'),
	(2, 6, 21, '06', 'направлен в стационар на дому'),
	(2, 8, 4, '08', 'направлен на внешнюю консультацию (в др. ЛПУ)'),
	(2, 9, 27, '09', 'справка для получения путёвки'),
	(2, 10, 6, '10', 'направлен на санаторно-курортное лечение'),
	(3, 0, 19, '03', 'динамическое наблюдение'),
	(3, 1, 8, '01', 'выздоровление'),
	(3, 2, 22, '02', 'улучшение'),
	(3, 3, 19, '03', 'динамическое наблюдение'),
	(3, 4, 5, '04', 'направлен на госпитализацию'),
	(3, 5, 20, '05', 'направлен в дневной стационар'),
	(3, 6, 21, '06', 'направлен в стационар на дому'),
	(3, 7, 3, '07', 'направлен на консультацию'),
	(3, 8, 4, '08', 'направлен на внешнюю консультацию (в др. ЛПУ)'),
	(3, 9, 27, '09', 'справка для получения путёвки'),
	(3, 10, 6, '10', 'направлен на санаторно-курортное лечение'),
	(4, 0, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(4, 1, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(4, 2, 15, '31', 'требуется лечение'),
	(4, 3, 26, '32', 'наначено лечение'),
	(4, 4, 29, '34', 'требуется дополнительное обследование'),
	(4, 5, 26, '32', 'назначено лечение'),
	(4, 6, 17, '33', 'требуется дополнительная консультация'),
	(4, 7, 14, '35', 'требуется повторная консультация'),
	(4, 8, 14, '35', 'требуется повторная консультация'),
	(4, 9, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(5, 0, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(5, 1, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(5, 2, 15, '31', 'требуется лечение'),
	(5, 3, 26, '32', 'наначено лечение'),
	(5, 4, 29, '34', 'требуется дополнительное обследование'),
	(5, 5, 26, '32', 'назначено лечение'),
	(5, 6, 17, '33', 'требуется дополнительная консультация'),
	(5, 7, 14, '35', 'требуется повторная консультация'),
	(5, 8, 14, '35', 'требуется повторная консультация'),
	(5, 9, 28, '30', 'проведена беседа по здоровому образу жизни'),
	(6, 1, 8,  '01', 'выздоровление'),
	(6, 2, 22, '02', 'улучшение'),
	(6, 3, NULL, '41', 'без перемен'),
	(6, 4, NULL,  '52', 'направлен на лечение'),
	(9, 0, 19, '03', 'динамическое наблюдение'),
	(9, 1, 8, '01', 'выздоровление'),
	(9, 2, 22, '02', 'улучшение'),
	(9, 3, 19, '03', 'динамическое наблюдение'),
	(9, 4, 5, '04', 'направлен на госпитализацию'),
	(9, 5, 20, '05', 'направлен в дневной стационар'),
	(9, 6, 21, '06', 'направлен в стационар на дому'),
	(9, 7, 3, '07', 'направлен на консультацию'),
	(9, 8, 4, '08', 'направлен на внешнюю консультацию (в др. ЛПУ)'),
	(9, 9, 27, '09', 'справка для получения путёвки'),
	(9, 10, 6, '10', 'направлен на санаторно-курортное лечение');
	
	
--
-- Структура таблицы `tmpTraumaType`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpTraumaType` (
    `svTrauma` tinyint(2) NOT NULL,
    `rbTrauma` int(11) default NULL,
    `name` varchar(50) NOT NULL,
PRIMARY KEY  (`svTrauma`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
--
-- Дамп данных таблицы `tmpTraumaType`
--
	
INSERT IGNORE INTO `tmpTraumaType` (`svTrauma`, `rbTrauma`, `name`) VALUES
	(0, NULL, 'не задано'),
	(1, 1, 'производственная промышленная'),
	(2, 4, 'производственная сельскохозяйственная'),
	(3, 2, 'производственная на строительстве'),
	(4, 3, 'производственная дорожно-транспортная'),
	(5, 5, 'прочие произвосдственные'),
	(6, 6, 'непроизводственная бытовая'),
	(7, 7, 'непроизводственная уличная'),
	(8, 8, 'непроизводственная дорожно-транспортная'),
	(9, 9, 'непроизводственная школьная'),
	(10, 10, 'непроизводственная спортивная'),
	(11, 11, 'прочие непроизводственные');
	
	
--
-- Структура таблицы `tmpPlaces`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpPlaces` (
    `svPlace` tinyint(1) NOT NULL,
    `rbScene` int(11) default NULL,
    `name` varchar(30) NOT NULL,
PRIMARY KEY  (`svPlace`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
--
-- Дамп данных таблицы `tmpPlaces`
--
	
INSERT IGNORE INTO `tmpPlaces` (`svPlace`, `rbScene`, `name`) VALUES
	(1, 1, 'амбулаторно'),
	(2, 2, 'на дому'),
	(3, NULL, 'дневной стационар'),
	(4, 2, 'стационар на дому'),
	(5, 3, 'актив на дому');
	

--
-- Структура таблицы `tmpTempInvalidDoctype`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpTempInvalidDoctype` (
    `svDoctype` tinyint(1) NOT NULL,
    `type` tinyint(2) default NULL COMMENT '0-ВУТ, 1-инвалидность, 2-ограничение жизнедеятельности',
    `rbDoctype` int(11) default NULL,
    `doctype` tinyint(4) default NULL COMMENT '0-листок нетрудоспособности, 1-справка',
    `name` varchar(50) NOT NULL,
PRIMARY KEY ( `svDoctype` )
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
--
-- Дамп данных таблицы `tmpTempInvalidDoctype`
--
	
INSERT IGNORE INTO `tmpTempInvalidDoctype` (`svDoctype`, `type`, `rbDoctype`, `doctype`, `name`) VALUES
	(1, 0, 1, 0, 'больничный лист'),
	(2, 0, 2, 1, 'справка'),
	(3, 0, 1, 0, 'больничный лист другого учреждения'),
	(4, 0, 1, 0, 'продлённый больничный лист'),
	(6, 0, 2, 1, 'справка другого учреждения'),
	(7, 0, 1, 0, 'дублированный больничный лист??????');




--
-- Структура таблицы `tmpReason`
--

CREATE TEMPORARY TABLE IF NOT EXISTS `tmpReason` (
`svReason` varchar(1) NOT NULL,
`care` tinyint(1) NOT NULL default '0' COMMENT 'уход',
`rbReason` int(11) NOT NULL,
`name` varchar(50) NOT NULL,
PRIMARY KEY  (`svReason`,`care`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `tmpReason`
--

INSERT IGNORE INTO `tmpReason` (`svReason`, `care`, `rbReason`, `name`) VALUES
	  ('0', 0, 1, 'заболевание'),
	  ('1', 0, 1, 'заболевание'),
	  ('2', 0, 6, 'карантин'),
	  ('3', 0, 8, 'санаторно-курортное лечение'),
	  ('4', 0, 9, 'беременность'),
	  ('т', 0, 3, 'травма (в быту или на производстве?????)'),
	  ('1', 1, 5, 'уход за больным'),
	  ('2', 1, 6, 'карантин'),
	  ('3', 1, 8, 'сан. кур. лечение'),
	  ('4', 1, 5, 'беременность и уход сочетаются????'),
	  ('т', 1, 5, 'уход за травмированным больным'),
	  ('0', 1, 5, 'уход за больным');
	  		