--select 'Время заболевания по умолчанию:' as ' ';
--select @averageDuration as ' ';

select 'Определение диагнозов...' as ' ';
-- Заполняем временную таблицу диагнозов:
truncate table tmpDiagnosis;
insert ignore into tmpDiagnosis
select distinct
    0 as id,
    if(begDate < firstVisitDate, begDate, firstVisitDate) as `date`,
    vrach as person,
    2 as `type`,
    MKB,
    MKBEx,
    tmpDiseaseCharacter.rbDiseaseCharacter as diseaseCharacter,
    dispanser,
    traumaType,
    Client_id,
    NULL as Diagnosis_id,
    0 as Diagnosis_type
from tmpStattal
left join tmpDiseaseCharacter on tmpStattal.diseaseCharacter = tmpDiseaseCharacter.svDiseaseCharacter
where Client_id is not null -- добавляем диагнозы только для существующих клиентов
and MKB != ''
and (tmpDiseaseCharacter.rbDiseaseCharacter is not null or left(MKB, 1) = 'Z');
					
-- добавляем все диагнозы!!!!!!!!!!!!!!!!!!!!!!!
update tmpDiagnosis
set Diagnosis_type = 5
where Diagnosis_type = 0;