select 'Импорт данных о смерти (dead)...' as ' ';

select 'Определение данных о смерти...' as ' ';

update tmpDead
set Client_type = 0 -- неизвестно
where Client_type is null;
update tmpDead
set Event_type = 0 -- неизвестно
where Event_type is null;
update tmpDead
set Action_type = 0 -- неизвестно
where Action_type is null;

update tmpDead
set dBirthDate = str_to_date(tmpDead.birthDate, '%d/%m/%Y'),
dDeadDate = str_to_date(tmpDead.deadDate, '%d/%m/%Y');

-- контроль правильности:
update tmpDead
set dDeadDate = NULL
where dDeadDate < date('01-01-1901')
or dDeadDate > date(now());

update tmpDead
set dBirthDate = NULL
where dBirthDate < date('01-01-1801')
or dBirthDate > dDeadDate
or dBirthDate > date(now());

select 'Установление соответствий для умерших пациентов...' as ' ';

update tmpDead, tmpClient
left join Client on tmpClient.Client_id = Client.id and tmpClient.Client_type = 2
set tmpDead.Client_id = Client.id,
tmpDead.Client_type = 2
where tmpDead.Pin = tmpClient.Pin;

update tmpDead, Client
set tmpDead.Client_id = Client.id,
tmpDead.Client_type = 2
where tmpDead.dBirthDate = date(Client.birthDate)
    and tmpDead.sex != Client.sex -- в источнике мужской и женский пол нумеруются наоборот!
    and strcmp(tmpDead.lastName, Client.lastName) = 0
    and strcmp(tmpDead.firstName, Client.firstName) = 0
    and strcmp(tmpDead.patrName, Client.patrName) = 0
AND tmpDead.Client_type = 0;

update tmpDead, Client
set tmpDead.Client_id = Client.id,
tmpDead.Client_type = 2
where tmpDead.dBirthDate is NULL
    and strcmp(tmpDead.lastName, Client.lastName) = 0
    and strcmp(tmpDead.firstName, Client.firstName) = 0
    and strcmp(tmpDead.patrName, Client.patrName) = 0
    and date_add(Client.birthDate, interval tmpDead.howOld year) <= tmpDead.dDeadDate
    and date_add(Client.birthDate, interval (tmpDead.howOld +1) year) > tmpDead.dDeadDate;

-- устранение дублей!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



select 'Установление соответствий для данных о смерти...' as ' ';

select 'Добавление данных о смерти...' as ' ';

select 'Установление соответствий для добавленных данных о смерти...' as ' ';

select 'Импорт данных о смерти завершён.' as ' ';