# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################

from PyQt4 import QtGui
#from PyQt4.QtCore          import *

from Registry.AmbCardMixin import CAmbCardMixin


from Ui_AmbCardPage        import Ui_AmbCardPage

class CAmbCardPage(QtGui.QWidget, CAmbCardMixin, Ui_AmbCardPage):
    def __init__(self, parent=None):
        QtGui.QWidget.__init__(self, parent)
        self._clientId = None
        self.preSetupUi()
        self.setupUi(self)
        self.postSetupUi()


    def setClientId(self, clientId):
        self._clientId = clientId
        self.tabRadiationDose.setClientId(clientId)


    def currentClientId(self):
        return self._clientId

