#! /usr/bin/env python
# -*- coding: utf-8 -*-

#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################
##
## 'L' запись протокола ASTM E-1394
##
#############################################################################



#from PyQt4.QtCore import *

from Record import CRecord

class CQueryRecord(CRecord):
    structure = {
                    'recordType'            : ( 0,         str),
                    'seqNo'                 : ( 1,         int),
                    'tripod'                : ( (2, 0, 0), unicode),
                    'position'              : ( (2, 0, 1), unicode),
                }
    recordType = 'Q'
