# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################
u"""Вспомогательные классы и функции"""

from library.DbComboBox import CDbComboBox

from Notifications.NotificationRule import tblNotificationRule

class CNotificationRuleComboBox(CDbComboBox):
    def __init__(self, parent):
        CDbComboBox.__init__(self, parent)
        self.setAddNone(False)
        self.setNameField('name')
        self.setTable(tblNotificationRule, addNone=False, order='name')


