# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################


from library.DbComboBox import CDbComboBox

class CVaccinationTypeComboBox(CDbComboBox):
    def __init__(self, parent=None):
        CDbComboBox.__init__(self, parent)
        self.setTable(u'rbVaccine_Schema', 
                      u'rbVaccine_Schema.vaccinationType', 
                      addNone=False, 
                      order=u'rbVaccine_Schema.id')


    def setVaccineId(self, vaccineId):
        if vaccineId:
            self.setFilter('master_id=%d'%vaccineId)
        else:
            self.setFilter(None)
