# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################

# классификация видов деятельности в соотв. с 12Д1

rows = [
        (u'ВСЕГО', u'0.0', u'X'), 
        (u'Образование', u'1.0', u'М80'), 
        (u'Здравоохранение', u'2.0', u'N85.1-N85.14'), 
        (u'Предоставление социальных услуг', u'3.0', u'N85.3'), 
        (u'Деятельность по организации отдыха, развлечений, культуры и спорта', u'4.0', u'О92'), 
        (u'Научно-исследовательские учреждения', u'5.0', u'К73'), 
       ]

def dispatch(okved):
    result = [0]
    if okved[:3] == u'M80':
        result.append(1)
    if okved[:5] >= u'N85.1' and okved[:6] <= u'N85.14':
        result.append(2)
    if okved[:5] == u'N85.3':
        result.append(3)
    if okved[:3] == u'O92':
        result.append(4)
    if okved[:3] == u'K73':
        result.append(5)
#    print okved, result
    return result