# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################


# необходимо выработать формулировки названия прав
# 100 идентификаторов urAccess... это перебор

urAdmin = 'adm'

# Работа
urAccessRegistry       = 'wRegistry'          # имеет доступ к обслуживанию пациентов
urAccessSuspenedAppointment = 'wSuspendedAppointment'# имеет доступ к отложенной записи
urAccessReadTimeLine        = 'wReadTimeLine'        # право на чтение Учёта рабочего времени
urAccessEditTimeLine        = 'wEditTimeLine'        # право на редактирование Учёта рабочего времени  # Было: urAccessTimeLine = 'timeLine' #имеет доступ к графику
urAccessBlanks         = 'wBlanks'            # имеет доступ к учету бланков
urAccessHospitalBeds   = 'wHospitalBeds'      # имеет доступ к коечному фонду
urAccessSurveillance   = 'wSurveillance'      # имеет доступ к Диспансерному наблюдению
urAccessJobsPlanning   = 'wJobsPlanning'      # имеет доступ к планированию работ
urAccessJobsOperating  = 'wJobsOperating'     # имеет доступ к выполнению работ
urAccessStockControl   = 'wStockControl'      # имеет доступ к складскому учёту
urAccessStockEditSupplier = 'wStockEditSupplier'# имеет право изменять поле "Поставщик" в накладной на списание
urAccessStockEditSupplierPerson = 'wStockEditSupplierPerson'# имеет право изменять поле "Ответственный" в накладной на списание
urAccessGraph          = 'wGraph'
urAccessLUD            = 'wLUD'
urAccessQuoting        = 'wQuoting'           # имеет доступ к редактированию квотирования
urAccessQuotingWatch   = 'wQuotingWatch'      # имеет доступ к просмотру квотирования
urAccessTissueJournal  = 'wTissueJournal'     # имеет доступ к лаболаторному журналу

# Работа -> Диспансерное наблюдение
# Только чтение
urSurReadEvent          = 'wSurReadEvent'      # право на чтение события в Диспансерном наблюдении
urSurReadClientInfo     = 'wSurReadClientInfo'  # право на чтение карты пациента в Диспансерном наблюдении
# Запись/изменение
urSurEditEvent          = 'wSurEditEvent'       # право на редактирование события в Диспансерном наблюдении
urSurEditClientInfo     = 'wSurEditClientInfo'  # право редактировать карту пациента в Диспансерном наблюдении

# Работа -> Стационарный монитор
# Только чтение
urHBReadEvent          = 'wHBReadEvent'       # право на чтение события в стационарном мониторе
urHBReadClientInfo     = 'wHBReadClientInfo'  # право на чтение карты пациента в стационарном мониторе
# Запись/изменение
urHBHospitalization    = 'wHBHospitalization' # право на госпитализацию в стационарном мониторе
urHBTransfer           = 'wHBTransfer'        # право на перевод в стационарном мониторе
urHBLeaved             = 'wHBLeaved'          # право на выписку в стационарном мониторе
urHBFeed               = 'wHBFeed'            # право на питание в стационарном мониторе
urHBActionEdit         = 'wHBActionEdit'      # право выполнять назначения в стационарном мониторе
urHBDeath              = 'wHBDeath'           # имеет право доступа к кнопке "Констатация смерти" с вкладки "Умерло"
urHBEditCurrentDateFeed= 'wHBEditCurrentDateFeed' # право редактировать питание на текущую и прошлые даты
urHBEditEvent          = 'wHBEditEvent'       # право на редактирование события в стационарном мониторе
urHBEditClientInfo     = 'wHBEditClientInfo'  # право редактировать карту пациента в стационарном мониторе
urHBEditThermalSheet   = 'wHBEditThermalSheet'# право на редактирование температурного листа в стационарном мониторе
urHBEditHospitalBed    = 'wHBEditHospitalBed' # право на изменение данных о койке пребывания в стационарном мониторе
urHBEditPatron            = 'wHBEditPatron'   # право на изменение данных о патроне
urHBEditObservationStatus = 'wHBEditObservationStatus' # право на редактирование статуса наблюдения пациента
urHBCanChangeOrgStructure = 'wHBCanChangeOrgStructure' # право на изменение подразделения (tblOrgStrucutre)
urHBPlanning              = 'wHBPlanning'     # право на постановку в очередь со вкладки "В очереди"
urHBEditReceivedMKB    = 'wHBEditReceivedMKB' # право на изменение шифра МКБ, свойств "Диагноз направившего учреждения" (или "Диагноз направителя") и "Диагноз при поступлении" на вкладке Поступили

# Работа -> Обслуживание
# Только чтение
urRegTabReadRegistry   = 'regReadRegistry'    #имеет доступ к вкладке Картотека
urRegTabReadLocationCard= 'regReadLocationCard'#имеет право чтения Место нахождения амбулаторной карты
urRegTabReadEvents     = 'regReadEvents'      #имеет доступ к вкладке Обращение
urRegTabReadAmbCard    = 'regReadAmbCard'     #имеет доступ к вкладке Мед. карта
urRegTabReadActions    = 'regReadActions'     #имеет доступ к вкладке Обслуживание
urRegTabReadExpert     = 'regReadExpert'      #имеет доступ к вкладке КЭР
urRegTabReadAmbulance  = 'regReadAmbulance'   #имеет доступ к вкладке СМП
urRegTabReadVisits     = 'regReadVisits'      #имеет доступ к вкладке Визиты, чтение
# Запись/изменение
urRegTabWriteRegistry  = 'regWriteRegistry'   #имеет доступ к вкладке Картотека
urEditLocationCard     = 'regEditLocationCard'#имеет право редактировать Место нахождения амбулаторной карты
urEditStatusObservationClient = 'regEditStatusObservationClient'#имеет право редактировать Статус наблюдение пациента
urRegTabWriteEvents    = 'regWriteEvents'     #имеет доступ к вкладке Обращение
urRegTabWriteAmbCard   = 'regWriteAmbCard'    #имеет доступ к вкладке Мед. карта
urRegTabWriteActions   = 'regWriteActions'    #имеет доступ к вкладке Обслуживание
urRegTabWriteExpert    = 'regWriteExpert'     #имеет доступ к вкладке КЭР
urRegTabEditExpertMC   = 'regTabEditExpertMC' #имеет доступ к ВК
urRegTabWriteVisits    = 'regWriteVisits'     #имеет доступ к вкладке Визиты, изменение
urRegWriteInsurOfficeMark = 'regWriteInsurOfficeMark' #право на изменение данных в документах ВУТ с отметкой страхового стола
urRegTabWriteAmbulance = 'regWriteAmbulance'  #имеет доступ к вкладке СМП
urRegControlDoubles    = 'regControlDoubles'  #имеет доступ к оперативному логическому контролю двойников
urRegDeleteTempInvalid = 'regDeleteTempInvalid' #имеет право удалять листки нетрудоспособности
urRegEditTempInvalidWithInsurance = 'regEditTempInvalidWithInsurance' #имеет право Редактировать/Удалять ВУТ с отметкой Страхового стола, созданные пользователями с такой же сетью обслуживания
urRegEditTempInvalidNoInsurance = 'regEditTempInvalidNoInsurance' # имеет право Редактировать/Удалять ВУТ из любой сети обслуживания, но без отметки страхового стола

# Работа -> Обслуживание -> вкладка Обслуживание
# Только чтение, на запись - см. права выше
urReadActionsStatus    = 'regReadActionsStatus'
urReadActionsDiagnostic= 'regReadActionsDiagnostic'
urReadActionsCure      = 'regReadActionsCure'
urReadActionsMisc      = 'regReadActionsMisc'

#Работа -> Складской учет
urEditOwnMotions = 'editOwnMotions' #имеет право редактировать свои накладные
urEditOtherMotions = 'editOtherPeopleMotions'#имеет право редактировать чужие накладные
urDeleteMotions = 'deleteMotions'#имеет право удалять накладные

# Сервис
urAccessAttachClientsForArea = 'attachClientsForArea'  #имеет  доступ к "Выполнить прикрепление пациентов к участкам"
urAccessLogicalControl = 'logiccntl'                   #имеет  доступ к логическому контролю
urAccessLogicalControlDiagnosis = 'logicCntlDiagnosis' #имеет  доступ к логическому контролю ЛУДа
urAccessLogicalControlDoubles   = 'logicCntlDoubles'   #имеет  доступ к контролю двойников
urAccessLogicalControlMES       = 'logicCntlMES'       #имеет  доступ к контролю событий с МЭС
urAccessSchemaClean = 'schemaclean'                    #имеет доступ к очистке бд
urAccessSchemaSync = 'schemaSync'   # может проводить синхронизацию БД
urAccessNotifications = 'notifications' # имеет доступ к системе оповещений
urAccessNotificationLog = 'notificationLog' # имеет доступ к журналу оповещений
urAccessNotificationKind = 'notificationKind' # имеет доступ к видам оповещений
urAccessNotificationRule = 'notificationRule' # имеет доступ к правилам оповещений

# Расчет
urAccessAccountInfo    = 'acc'                # имеет доступ к учётной информации (договора и счета)
urAccessAccounting     = 'accAccount'         # Расчеты: доступ к счетам независимо от типа финансирования
urAccessAccountingBudget= 'accAccountBudget'  # Расчеты: доступ к счетам с типом финансирования "бюджет"
urAccessAccountingCMI  = 'accAccountCMI'      # Расчеты: доступ к счетам с типом финансирования "ОМС"
urAccessAccountingVMI  = 'accAccountVMI'      # Расчеты: доступ к счетам с типом финансирования "ДМС"
urAccessAccountingCash = 'accAccountCash'     # Расчеты: доступ к счетам с типом финансирования "платно"
urAccessAccountingTargeted = 'accAccountTargeted' # Расчеты: доступ к счетам с типом финансирования "целевой"

urDeleteAccount        = 'accDeleteAccount'    # Расчёты: имеет право удалять счета
urDeleteAccountItem    = 'accDeleteAccountItem'# Расчёты: имеет право удалять позиции счёта

urAccessContract       = 'accContract'        # имеет доступ к  договорам
urAccessPriceCalculate = 'accPriceCalculate'  # имеет доступ к кнопке пересчета тарифов
urAccessCashBook       = 'accCashBook'        # имеет доступ к журналу кассовых операций
# Справочники
urAccessRefBooks          =       'ref'                # имеет доступ к справочнику

# Справочники: Адреса
urAccessRefAddress        =       'refAddress'         # имеет доступ к справочнику Адреса
urAccessRefAddressKLADR   =       'refAddressKLADR'    # имеет доступ к справочнику КЛАДР
urAccessRefAddressAreas   =       'refAddressAreas'    # имеет доступ к справочнику Участки

# Cправочники: Классификаторы
urAccessRefClassificators =       'refCl'                      # имеет доступ к справочнику Класификаторы
urAccessRefClOKPF =               'refClOKPF'                  # имеет доступ к справочнику ОКПФ
urAccessRefClOKFS =               'refClOKFS'                  # имеет доступ к справочнику ОКФС
urAccessRefClHurtType =           'refClHurtType'              # имеет доступ к справочнику Типы вредности
urAccessRefClHurtFactorType =     'refClHurtFactorType'        # имеет доступ к справочнику Факторы вредности
urAccessRefClUnit =               'refClUnit'                  # имеет доступ к справочнику Единицы Измерения

# Cправочники: Скорая помощь
urAccessRefEmergency           =  'refEmergency'               # имеет доступ к справочнику Скорая помощь

# Cправочники: Питание
urAccessRefFeed                =  'refFeed'                    # имеет доступ к справочнику Питание

# Cправочники: Медицинские
urAccessRefMedical             =   'refMed'                    # имеет доступ к справочнику Медицинские
urAccessRefMedMKB              =   'refMedMKB'                 # имеет доступ к справочнику МКБ
urAccessRefMedMKBSubClass      =   'refMedMKBSubClass'         # имеет доступ к справочнику Субклассификация МКБ
urAccessRefMedDiseaseCharacter =   'refMedDiseaseCharacter'    # имеет доступ к справочнику Характеры заболеваний
urAccessRefMedDiseaseStage     =   'refMedDiseaseStage'        # имеет доступ к справочнику Стадии заболеваний
urAccessRefMedDiseasePhases    =   'refMedDiseasePhases'       # имеет доступ к справочнику Фазы заболевания
urAccessRefMedDiagnosisType    =   'refMedDiagnosisType'       # имеет доступ к справочнику Типы диагноза
urAccessRefMedTraumaType       =   'refMedTraumaType'          # имеет доступ к справочнику Типы травм
urAccessRefMedTempInvalidReason=   'refMedTempInvalidReason'   # имеет доступ к справочнику Причины временной нетрудоспособности
urAccessRefMedHealthGroup      =   'refMedHealthGroup'         # имеет доступ к справочнику Группы здоровья
urAccessRefMedDispanser        =   'refMedDispanser'           # имеет доступ к справочнику Отметки диспансерного наблюдения
urAccessRefMedResult           =   'refMedResult'              # имеет доступ к справочнику Резльтаты осмотра
urAccessRefMedTempInvalidDocument= 'refMedTempInvalidDocument' # имеет доступ к справочнику Документы ВУТ
urAccessRefMedTempInvalidRegime=   'refMedTempInvalidRegime'   # имеет доступ к справочнику Режимы пеорида ВУТ
urAccessRefMedTempInvalidBreak =   'refMedTempInvalidBreak'    # имеет доступ к справочнику Нарушения режима ВУТ
urAccessRefMedTempInvalidResult=   'refMedTempInvalidResult'   # имеет доступ к справочнику Результаты ВУТ
urRefEditMedTempInvalidExpertKAK=  'refEditMedTempInvalidExpertKAK'# имеет право вносить отметки КЭК
urAccessRefMedComplain         =   'refMedComplain'            # имеет доступ к справочнику Жалобы
urAccessRefMedComplainDelete   =   'refMedComplainDelete'      # имеет право удалять записи из справочника Жалобы
urAccessRefMedThesaurus        =   'refMedThesaurus'           # имеет доступ к справочнику Тезаурус
urAccessRefMedBloodType        =   'refMedBloodType'           # имеет доступ к справочнику Группы крови

# Cправочники: Организации
urAccessRefOrganization        =   'refOrg'                    # имеет доступ к подменю Организации
urAccessRefOrgRBNet            =   'refOrgRBNet'               # имеет доступ к справочнику Сеть
urAccessRefOrgBank             =   'refOrgBank'                # имеет доступ к справочнику Банки
urAccessRefOrgOrganisation     =   'refOrgOrganisation'        # имеет доступ к справочнику Организации

# Справочники: Персонал
urAccessRefPerson                       = 'refPerson'               # имеет доступ к подменю Персонал
urAccessRefPersonOrgStructure           = 'refPersonOrgStructure'   # имеет доступ к справочнику Структура ЛПУ
urAccessRefPersonRBSpeciality           = 'refPersonRBSpeciality'   # имеет доступ к справочнику Специальности
urAccessRefPersonRBPost                 = 'refPersonRBPost'         # имеет доступ к справочнику Должности
urAccessRefPersonRBActivity             = 'refPersonRBActivity'     # имеет доступ к справочнику Виды(типы) деятельности врача
urAccessRefPersonRBAppointmentPurpose   = 'refPersonRBRBAppointmentPurpose' # имеет доступ к справочнику Назначения приёма
urAccessRefPersonPersonal               = 'refPersonPersonal'       # имеет доступ к справочнику Сотрудники

# Справочники: Персонификация
urAccessRefPersonfication = 'refPersnftn'# имеет доступ к подменю Персонификация
urAccessRefPersnftnPolicyKind = 'refPersnftnPolicyKind'# имеет доступ к справочнику Вид полиса
urAccessRefPersnftnPolicyType = 'refPersnftnPolicyType'# имеет доступ к справочнику Тип полиса
urAccessRefPersnftnDocumentTypeGroup = 'refPersnftnDocumentTypeGroup'# имеет доступ к справочнику Группа типа документа
urAccessRefPersnftnDocumentType = 'refPersnftnDocumentType'# имеет доступ к справочнику Тип документа
urAccessRefPersnftnContactType = 'refPersnftnContactType'# имеет доступ к справочнику Способы связи с пациентом
urAccessRefEditLocationCard    = 'refPersnftnEditLocationCard'#имеет доступ к справочнику Место нахождения амбулаторной карты
urAccessRefEditCardType    = 'refPersnftnEditCardType'#имеет доступ к справочнику Виды медицинских карт

# Справочники: Соц статус
urAccessRefSocialStatus   = 'refSocState'# имеет доступ к подменю Соц статус
urAccessRefSocialStatusType  = 'refSocStateType' # имеет доступ к справочнику Соц. статус: тип, льготы
urAccessRefSocialStatusClass = 'refSocStateClass'# имеет доступ к справочнику Классификатор социальных статусов

# Справочники: Учёт
urAccessRefAccount                       = 'refAccount' # имеет доступ к подменю Учёт
urAccessRefAccountRBVisitType            = 'refAccountRBVisitType'# имеет доступ к справочнику Тип визита
urAccessRefAccountEventType              = 'refAccountEventType'# имеет доступ к справочнику Типы событий
urAccessRefAccountRBEventTypePurpose     = 'refAccountRBEventTypePurpose'# имеет доступ к справочнику Назначение типа события
urAccessRefAccountRBEventProfile         = 'refAccountRBEventProfile'# имеет доступ к справочнику Профиль события
urAccessRefAccountRBScene                = 'refAccountRBScene'# имеет доступ к справочнику Место выполнения визита
urAccessRefAccountRBAttachType           = 'refAccountRBAttachType'# имеет доступ к справочнику Тип прикрепления
urAccessRefAccountRBMedicalAidUnit       = 'refAccountRBMedicalAidUnit'# имеет доступ к справочнику Единицы учета мед. помощи
urAccessRefAccountActionPropertyTemplate = 'refAccountActionPropertyTemplate'# имеет доступ к справочнику Библиотека свойств действий
urAccessRefAccountRBActionShedule        = 'refAccountRBActionShedule'       # имеет доступ к справочнику График выполнения назначения
urAccessRefAccountActionType             = 'refAccountActionType'            # имеет доступ к справочнику Типы действий
urDeleteActionTypeProperties             = 'refDeleteActionTypeProperties'   # может в справочнике типов действий удалять все свойства выбранных действий
urAccessRefAccountActionTemplate         = 'refAccountActionTemplate'        # имеет доступ к справочнику Шаблоны действий
urAccessRefDeletedActionTemplate         = 'refAccountDeletedActionTemplate' # имеет право на удаление из справочника Шаблоны действий только своих созданных шаблонов действий
urAccessRefAccountRBReasonOfAbsence      = 'refAccountRBReasonOfAbsence'     # имеет доступ к справочнику Причины отсутствия
urAccessRefAccountRBHospitalBedProfile   = 'refAccountRBHospitalBedProfile'  # имеет доступ к справочнику Профили коек
urAccessRefAccountJobPurpose             = 'refAccountJobPurpose'            # имеет доступ к справочнику Назначение работ
urAccessRefAccountBlankType              = 'refAccountBlankType'             # имеет доступ к справочнику Типы бланков
urAccessRefAgreementType                 = 'refAgreementType'                # имеет доступ к справочнику Типы согласования
urAccessRefAccountQuotaType              = 'refAccountQuotaType'             # имеет доступ к справочнику Виды квот

# Справочники: Финансовые
urAccessRefFinancial           = 'refFin'                # имеет доступ к подменю Финансовые
urAccessRefFinRBFinance        = 'refFinRBFinance'       # имеет доступ к справочнику "Источники финансирования"
urAccessRefFinRBService        = 'refFinRBService'       # имеет доступ к справочнику Услуги (профиль ЕИС)
urAccessRefFinRBTariffCategory = 'refFinRBTariffCategory'# имеет доступ к справочнику "Тарифные категории"
urAccessRefFinRBPayRefuseType  = 'refFinRBPayRefuseType' # имеет доступ к справочнику "Причины отказа платежа"
urAccessRefFinRBCashOperation  = 'refFinRBCashOperation' # имеет доступ к справочнику "Кассовые операции"

# Справочники: лекарственные средства и изделия медицинского назначения
urAccessNomenclature           = 'refNomenclature' # имеет доступ к справочнику "Номенклатура лекарственных средств и изделий медицинского назначения"
urAccessStockRecipe            = 'refStockRecipe'  # имеет доступ к справочнику "Рецепты производства ЛСиИМН"

# Спарвочники: Лаборатория
urAccessLaboratory                  = 'refLaboratory' # имеет доступ к подменю Лаболатория
urAccessEquipment                   = 'refEquipment' # имеет доступ к подменю Оборудование
urAccessEquipmentMaintenanceJournal = 'refEquipmentMaintenanceJournal' # Имеет доступ к редактированию журнала технического обслуживания оборудования

# Справочники: Имунопрофелактика
urAccessImunoprophylaxis            = 'refImunoprophylaxis' # Имеет доступ к справочникам иммунопрофилактики

# ---
urAccessUI                = 'ui'         # имеет доступ к интерфейсу пользователя
urAccessExchange          = 'exchng'     # имеет достук к обмену информацией

# Анализ
urAccessAnalysis                  = 'aFullAccess'                # имеет полный доступ к анализу
urAccessAnalysisPersonal          = 'aPersonal'                  # имеет полный доступ к персональному анализу
urAccessAnalysisOrgStruct         = 'aSubStruct'                 # имеет полный доступ к анализу подразделения
urAccessAnalysisTimeline          = 'aAnalysisTimeline'          # имеет доступ к "Анализ: Расписание"
urAccessAnalysisTimelinePreRecord = 'aAnalysisTimelinePreRecord' # имеет доступ к "Анализ: Расписание: Предварительная запись"
urAccessAnalysisAnaliticReports   = 'aAnalysisAnaliticReports'   # имеет доступ к "Анализ: Аналитические отчеты"

# Настройки
urAccessSetupDB                = 'setupDB'                # имеет доступ к настройкам БД
urAccessSetupAccountSystems    = 'setupAccSys'            # имеет доступ к внешним учётным системам
urAccessSetupDefault           = 'setupDefault'           # имеет доступ к установкам значений по умолчанию
urAccessSetupExport            = 'setupAccExpFmt'         # имеет доступ к форматам экспорта
urAccessSetupTemplate          = 'setupTemplate'          # имеет доступ к настройкам шаблонов
urAccessSetupUserRights        = 'setupUsrRights'         # имеет доступ к настройкам прав пользователя
urAccessSetupProfilesUserRights= 'setupProfilesUserRights'# имеет доступ к настройкам профилей прав пользователей
urAccessSetupGlobalPreferencesWatching = 'setupGlobalPreferencesWatching' # имеет доступ к чтению таблицы глобальных настроек
urAccessSetupGlobalPreferencesEdit = 'setupGlobalPreferencesEdit' # имеет доступ к редактированию таблицы глобальных настроек
urAccessCalendar               = 'setupCalendar'          # имеет доступ к настройке календаря
urAccessSetupCounter           = 'setupCounter'           # имеет доступ к настройке счетчиков

#urCanChangeOwnPassword = 2

# -- в процессе работы:

urAccessF000planner       = 'f000planner'        # показывается планировщик Ф.000
urAccessF001planner       = 'f001planner'        # показывается планировщик Ф.001
urAccessF003planner       = 'f003planner'        # показывается планировщик Ф.003
urAccessF025planner       = 'f25planner'         # показывается планировщик Ф.025
urAccessF030planner       = 'f030planner'        # показывается планировщик Ф.030
urAccessF043planner       = 'f043planner'        # показывается планировщик Ф.043
urAccessF110planner       = 'f110planner'        # показывается планировщик Ф.110
urLoadActionTemplate      = 'loadActionTemplate' # возможно загружать шаблоны действий в F25 etc.
urSaveActionTemplate      = 'saveActionTemplate' # возможно создавать/изменять шаблоны действий в F25 etc.
urCopyPrevAction          = 'copyPrevAction'     # Копировать действия из предыдущих событий в F25 etc.
urChangeMKB               = 'changeMKB'          # исправить шифр МКБ в ЛУД
urChangeDiagnosis         = 'changeDiagnosis'    # изменить диагноз в ЛУД
urChangePeriodDiagnosis   = 'changePeriodDiagnosis'# изменить период диагноза в ЛУД
urLocalControlLUD         = 'localControlLUD'    # доступ к оперативному логическому контролю ЛУДа
urEditReportForm          = 'editReportForm'     # редактировать печатные формы отчетов во внешнем редакторе
urEditOtherpeopleAction   = 'editOtherpeopleAction' # редактировать чужие действия
urHospitalTabReceived     = 'hospitalTabReceived'# имеет доступ к кнопке "Госпитализация" с вкладки "Поступили"
urHospitalTabPlanning     = 'hospitalTabPlanning'# имеет доступ к кнопке "Госпитализация" с вкладки "В очереди"
#urHospitalTabDeath        = 'hospitalTabDeath'   # имеет доступ к кнопке "Госпитализация" с вкладки "Умерли"
urLeavedTabPresence       = 'leavedTabPresence'  # имеет доступ к кнопке "Выписка" с вкладки "Присутствуют"
urQueueOverTime           = 'queueOverTime'      # Окно "График": имеет право записывать пациентов на "пустое" время
urQueueToSelfOverTime     = 'queueToSelfOverTime'# Окно "График": имеет право записывать пациентов к себе на "пустое" время
urDeleteOtherQueue        = 'queueDeletedTime'   # имеет право удалять созданные другими записи в листе предварительной записи
urDeleteOwnQueue          = 'queueToSelfDeletedTime'  # Окно "График": имеет право удалять созданные им записи в листе предварительной записи
urQueueCancelMinDateLimit = 'queueCancelMinDateLimit' # Окно "График": не ограничивать календарь снизу
urQueueCancelMaxDateLimit = 'queueCancelMaxDateLimit' # Окно "График": не ограничивать календарь сверху
urDeleteEventWithTissue   = 'deleteEventWithTissue'   # Право на удаление событий с действиями связанными с забором биоматериала
urDeleteEventWithJobTicket = 'deleteEventWithJobTicket' # Право на удаление событий с действиями связанными с номерком на Работу
urDeleteNotOwnEvents       = 'deleteNotOwnEvents'      # Имеет право удалять чужие События
urDeleteProbe              = 'deleteProbe'             # Абсолютное право на удаление проб
urEditProbePerson          = 'editProbePerson'         # Имеет право редактировать исполнителя в пробах
urEditJobTicket            = 'editJobTicket'           # Имеет право редактировать талончик на работу в действиях
urUsePropertyCorrector     = 'usePropertyCorrector'    # Имеет право использовать утилиту 'корректор свойств'
urQueueingOutreaching      = 'queueingOutreaching'     # Имеет право превышать квоту на запись к врачу
urEditExecutionPlanAction  = 'editExecutionPlanAction' # Имеет право редактировать календарь выполнения назначения
urEditAfterInvoicingEvent  = 'editAfterInvoicingEvent' # Имеет право изменять события после выставления счёта.
urEditClosedEvent          = 'editClosedEvent'         # Имеет право изменять закрытые события.
urEditEndDateEvent         = 'editEndDateEvent'        # Имеет право закрывать события.
urCanAddExceedJobTicket    = 'canAddExceedJobTicket'   # Имеет право добавлять превышающий количество "Талон на выполнение работ"'
urCanEditClientVaccination = 'canEditClientVaccination' # Имеет право редактировать прививочную карту
urCanReadClientVaccination = 'canReadClientVaccination' # Имеет право читать прививочную карту
urBatchRegLocatCardProcess = 'wBatchRegLocatCardProcess' # Имеет право на пакетную регистрацию статуса места нахождения карты пациента
urGroupEditorLocatAccountDocument = 'wGroupEditorLocatAccountDocument' #Имеет право использовать Групповой редактор места нахождения учетного документа
urReadCheckPeriodActions   = 'wReadCheckPeriodActions' # Имеет право на чтение диалога "Контроль движения пациента"
urEditCheckPeriodActions   = 'wEditCheckPeriodActions' # Имеет право редактировать "Контроль движения пациента"
urCanUseNomenclatureButton = 'canUseNomenclatureButton'#Имеет право использовать кнопку "Списание ЛСИиМН"
urUpdateEventTypeByEvent   = 'updateEventTypeByEvent'  #Имеет право изменять тип события
urEditCoordinationAction   = 'editCoordinationAction'  # Имеет право редактировать данные о согласовании услуги в отдельном редакторе Действия и на вкладке "Оплата.Услуги" события.
urRegEditClientAttach      = 'regEditClientAttach'     # Имеет право редактировать данные на вкладке Прикрепление Регистрационной карточки пациента.
urEditEventExpertise       = 'editEventExpertise'      #Имеет право редактировать сведений об Экспертизе случая
urSendInternalNotifications = 'sendInternalNotifications' #Имеет право рассылать оповещения через Регистратуру
urSendExternalNotifications = 'sendExternalNotifications' #Имеет право рассылать оповещения через внешнюю утилиту
urSendInternalAmbNotifications = 'sendInternalAmbNotifications' #Имеет право рассылать оповещения через График
urEditEventJournalOfPerson = 'editEventJournalOfPerson'# Имеет право редактировать Журнал назначения лечащего врача
urEditLoginPasswordProfileUser= 'editLoginPasswordProfileUser'# Имеет право редактировать логин, пароль и профиль прав в карточке персоны.
urCanDetachActionFromJobTicket = 'canDetachActionFromJobTicket' # Право на отмену действия в режиме выполнения работы
urReadMedicalDiagnosis     = 'readMedicalDiagnosis'    # Имеет право читать врачебную формулировку диагноза
urEditMedicalDiagnosis     = 'editMedicalDiagnosis'    # Имеет право редактировать врачебную формулировку диагноза
urEditThermalSheetPastDate = 'editThermalSheetPastDate'# Имеет право на редактирование температурного листа на прошлые даты


urCanAttachFile            = 'canAttachFile'            # Право прикреплять файлы
urCanOpenOwnAttachedFile   = 'canOpenOwnAttachedFile'   # Право открывать свои прикреплённые файлы
urCanOpenAnyAttachedFile   = 'canOpenAnyAttachedFile'   # Право открывать любые прикреплённые файлы
urCanRenameOwnAttachedFile = 'canRenameOwnAttachedFile' # Право переименовывать свои прикреплённые файлы
urCanRenameAnyAttachedFile = 'canRenameAnyAttachedFile' # Право переименовывать любые прикреплённые файлы
urCanDeleteOwnAttachedFile = 'canDeleteOwnAttachedFile' # Право удалять свои прикреплённые файлы
urCanDeleteAnyAttachedFile = 'canDeleteAnyAttachedFile' # Право удалять любые прикреплённые файлы
urCanDeleteForeignActionTypeGroup = 'canDeleteForeignActionTypeGroup' # Право удалять в справочнике Шаблоны назначения действий записи созданные другими пользователями
