<?php
##############################################################################
##
## Вспомогательные функции для работы с датой и временем
##
##############################################################################
##
## Copyright (C) 2014 SAMSON Group. All rights reserved.
##
##############################################################################
##
##  $LastChangedBy: vadim $
##  $LastChangedDate: 2015-05-14 17:37:37 +0300 (Thu, 14 May 2015) $
##  $Revision: 14332 $
##
##############################################################################

function addDays($aDateAsISOStr, $aDays)
{
    $vDate = new DateTime($aDateAsISOStr);
    $vDate->add(new DateInterval("P${aDays}D"));
    return $vDate->format('Y-m-d');
}


function soapDateTime($aDateTime)
{
    $vDT = new DateTime($aDateTime);
    $vResult = $vDT->format('Y-m-d\TH:i:s');
    return $vResult;
}


function soapDate($aDateTime)
{
    $vDT = new DateTime($aDateTime);
    $vResult = $vDT->format('Y-m-d');
    return $vResult;
}


?>
