# -*- coding: utf-8 -*-
from PyQt4 import QtGui
from library.Utils import *
from appendix.regional.r29.exportAttached.Common.DbMethods import *


class ExportHeaderDescriber(object):
    def __init__(self, result, comment):
        self.result = result
        self.comment = comment


class ExportItemDescriber(object):
    def __init__(self, externalId, errorCode, comment):
        self.externalId = externalId
        self.errorCode = errorCode
        self.comment = comment


class PolicyDescriber(object):
    def __init__(self, version, oldSerial, oldNumber, unifiedNumber, registrySmoCode, codeMo, dateReg):
        self.version = version
        self.oldSerial = oldSerial
        self.oldNumber = oldNumber
        self.unifiedNumber = unifiedNumber
        self.registrySmoCode = registrySmoCode
        self.codeMo = codeMo
        self.dateReg = dateReg


class ClientDescriber(object):
    def __init__(self):
        self.isFilled = False
        self.dbClientId = None

#Y not in constructor?
    def setFields(self, externalId, lastName, firstName, patrName, sex, birthDate, policy):
        self.externalId = externalId
        self.lastName = lastName
        self.firstName = firstName
        self.patrName = patrName
        self.sex = sex
        self.birthDate = birthDate
        self.isFilled = True
        self.policy = policy

    def equals(self, extClient):
        assert isinstance(extClient, ClientDescriber)
        if not self.isFilled or not extClient:
            return False
        chkProps = ('lastName', 'firstName', 'patrName', 'sex', 'birthDate')
        for propName in chkProps:
            l = self.__getattribute__(propName)
            r = extClient.__getattribute__(propName)
            if l != r:
                return False
        return True

    def unicode(self, errorType=None):
        if not errorType:
            return 'id = %s, FAM=%s, IM=%s, OT=%s, W=%s, DR=%s' %\
                    (str(self.dbClientId) if self.dbClientId else u'Не определен',
                     self.lastName, self.firstName, self.patrName, self.sex, self.birthDate.toString())
        #TODO: implement error types
        elif errorType == 100:
            return '?????'
        elif errorType == 101:
            return '?????'
        #TODO: sim...
        else:
            return '?????'
