# -*- coding: utf-8 -*-
from PyQt4 import QtGui
from PyQt4.QtCore import *

from Events.Utils       import *

from library.PreferencesMixin import CPreferencesMixin
from library.TableModel import *
from library.Utils      import *

class CHeaderModel(CTableModel):
    def __init__(self, parent):
        CTableModel.__init__(self, parent,  [
            CDateCol(u'На дату', ['settleDate'], 30),
            CDateTimeCol(u'Сформирован', ['createDatetime'], 20),
            CNumCol(u'Номер', ['number'], 10),
            CTextCol(u'Название', ['comment'], 20),
            CTextCol(u'Фильтр', ['filter'], 20),
            CNumCol(u'Количество', ['count'], 10),
            CNumCol(u'Код', ['code'], 10),
            CTextCol(u'Описание', ['message'], 60),
            ], 'ExportAttachHeader')
        self.parentWidget = parent


class CItemModel(CTableModel):
    def __init__(self, parent):
        CTableModel.__init__(self, parent,  [
            CNumCol(u'Ид пациента', ['clientId'],10),
            CTextCol(u'Фамилия', ['lastName'], 20),
            CTextCol(u'Имя', ['firstName'], 20),
            CTextCol(u'Отчество', ['patrName'], 20),
            CDateCol(u'Дата рождения', ['birthDate'], 20),
            CNumCol(u'Код', ['code'], 10),
            CTextCol(u'Описание', ['message'], 60),
            ], 'ExportAttachItem')
        self.parentWidget = parent
