--
-- Импорт СМО для Мурманска
--  данные выбраны из r_paysrc.dbf в текстовый файл
--

CREATE TEMPORARY TABLE `SMO` (
`CODE` VARCHAR(6),
`CODEB` VARCHAR(6),
`PAYCOUNT` VARCHAR(80),
`DSCRB` VARCHAR(80),
`AREA` VARCHAR(80),
`TAUN` VARCHAR(80),
`STREET` VARCHAR(80),
`BUILD` VARCHAR(80),
`SHORT_NAME` VARCHAR(80),
`INN` VARCHAR(80),
`OKONX` VARCHAR(80),
`OKPO` VARCHAR(80),
`phone` VARCHAR(80),
`POSTINDEX` VARCHAR(80),
`PAYKIND` VARCHAR(80),
`KPP` VARCHAR(80),
`WADRESS` VARCHAR(80)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COMMENT = 'Справочник СМО' ;


LOAD DATA LOCAL INFILE 'insurers.txt'
    INTO TABLE `SMO`
    CHARACTER SET cp1251
    FIELDS TERMINATED BY '\t' OPTIONALLY ENCLOSED BY '"'
    LINES TERMINATED BY '\r\n'
    IGNORE 1 LINES;

INSERT INTO `Organisation` (fullName, shortName, title, infisCode, INN, 
    KPP, OKPO, address, phone, isInsurer, notes)
    SELECT `DSCRB` AS `fullName`, 
            `SHORT_NAME` AS `shortName`, 
            `SHORT_NAME` AS title, 
            CODE AS infisCode, 
            INN, 
            KPP, 
            OKPO, 
            CONCAT(`AREA`,'обл., г. ',`TAUN`,', ',`STREET`, ', ',`BUILD`) AS address, 
            phone, 
            1 AS isInsurer, 
            `WADRESS` AS `notes`
    FROM SMO;
