--
-- Импорт инфис кодов для Мурманска в КЛАДР
--

CREATE TEMPORARY TABLE `SMO` (
`name` VARCHAR(60),
`code` VARCHAR(6),
`begDate` VARCHAR(10),
`endDate` VARCHAR(10)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COMMENT = 'Справочник СМО' ;


LOAD DATA LOCAL INFILE 'ulica.txt'
    INTO TABLE `SMO`
    CHARACTER SET cp1251
    FIELDS TERMINATED BY '\t' OPTIONALLY ENCLOSED BY '"'
    LINES TERMINATED BY '\r\n'
    IGNORE 3 LINES;


UPDATE `STREET`,`SMO` SET `STREET`.`infis`=`SMO`.code
  WHERE  `STREET`.`NAME`=`SMO`.`name` AND `STREET`.`CODE` LIKE '51%';

INSERT IGNORE INTO `KLADR` (`NAME`,`CODE`,`infis`,`parent`,`prefix`)
    SELECT	name AS `NAME`, 
                CONCAT('001',LPAD(REPLACE(SUBSTR(name,4),' ',''),8,'0'),'00') AS `CODE`, 
                code AS `infis`, 
                '001' AS parent, 
                '00' AS prefix 
        FROM `SMO` 
        WHERE name LIKE 'В/Ч%';