# -*- coding: utf-8 -*-
#############################################################################
##
## Copyright (C) 2006-2012 Chuk&Gek and Vista Software. All rights reserved.
## Copyright (C) 2012-2017 SAMSON Group. All rights reserved.
##
#############################################################################
##
## Это программа является свободным программным обеспечением.
## Вы можете использовать, распространять и/или модифицировать её согласно
## условиям GNU GPL версии 3 или любой более поздней версии.
##
#############################################################################

from PyQt4 import QtGui
#from PyQt4.QtCore import *
from library.DialogBase import CDialogBase

from Ui_ExposeConfirmationDialog import Ui_ExposeConfirmationDialog


class CExposeConfirmationDialog(CDialogBase, Ui_ExposeConfirmationDialog):
    def __init__(self,  parent, message, orgStructureId):
        CDialogBase.__init__(self, parent)
        self.setupUi(self)
        self.lblMessage.setText(message)
        if orgStructureId:
            self.chkFilterPaymentByOrgStructure.setChecked(QtGui.qApp.filterPaymentByOrgStructure())
            self.chkFilterPaymentByOrgStructure.setEnabled(True)
        else:
            self.chkFilterPaymentByOrgStructure.setChecked(False)
            self.chkFilterPaymentByOrgStructure.setEnabled(False)
        self.chkMesCheck.setChecked(True)
        self.buttonBox.button(QtGui.QDialogButtonBox.Cancel).setDefault(True)


    def options(self):
        return (self.chkFilterPaymentByOrgStructure.isChecked(),
                self.chkReExpose.isChecked(),
                self.chkSeparateReExpose.isChecked(),
                self.chkMesCheck.isChecked())
