--
--  Перенос услуг и типов действий из справочников ЛОФОМС
--
INSERT INTO rbService 
(`code`, `name`, `eisLegacy`, `nomenclatureLegacy`, 
 `license`, `infis`, `begDate`, `endDate`)
SELECT  N AS `code`,
        NAME AS `name`,
        '1' AS `eisLegacy`,
        '0' AS `nomenclatureLegacy`,
        '0' AS `license`,
        N AS `infis`,
        '0000-00-00' AS `begDate`,
        '0000-00-00' AS `endDate`
FROM LOFOMS.MAN M;

INSERT INTO ActionType
(`class`,`code`,`name`)
SELECT 2,'1-2','Оперативное'
FROM ActionType
WHERE NOT EXISTS (
  SELECT * FROM ActionType
  WHERE (`code` = '1-2') AND (`name` = 'Оперативное') AND (`class`= 2)
) LIMIT 0,1;

INSERT INTO ActionType
(`class`,`code`,`name`)
SELECT 2,'3-1','Стоматологическая помощь'
FROM ActionType
WHERE NOT EXISTS (
  SELECT * FROM ActionType
  WHERE (`code` = '3-1') AND (`name` = 'Стоматологическая помощь')
) LIMIT 0,1;

SELECT @groupId := id FROM ActionType
WHERE (`code` = '3-1') AND (`name` = 'Стоматологическая помощь')
LIMIT 0,1;

INSERT INTO ActionType
(`class`, `code`, `name`, `group_id`, `service_id`)
SELECT  2 AS `class`,
        N AS `code`,
        M.NAME AS `name`,
        @groupId AS `group_id`,
        rbService.id AS `service_id`
FROM LOFOMS.MAN M
LEFT JOIN rbService ON (rbService.name = M.NAME) AND (rbService.infis = M.N);

INSERT INTO rbService 
(`code`, `name`, `eisLegacy`, `nomenclatureLegacy`, 
 `license`, `infis`, `begDate`, `endDate`)
SELECT  O.CODE AS `code`,
        O.DESCRIPT AS `name`,
        '1' AS `eisLegacy`,
        '0' AS `nomenclatureLegacy`,
        '0' AS `license`,
        O.CODE AS `infis`,
        '0000-00-00' AS `begDate`,
        '0000-00-00' AS `endDate`
FROM LOFOMS.OPER O;

SELECT @groupId := id FROM ActionType
WHERE (`code` = '1-2') AND (`name` = 'Оперативное') AND (`class`= 2)
LIMIT 0,1;

INSERT INTO ActionType
(`class`, `code`, `name`, `group_id`, `service_id`)
SELECT  2 AS `class`,
        O.CODE AS `code`,
        O.DESCRIPT AS `name`,
        @groupId AS `group_id`,
        rbService.id AS `service_id`
FROM LOFOMS.OPER O
LEFT JOIN rbService ON (rbService.name = O.DESCRIPT) AND (rbService.infis = O.CODE);

