--
-- Импорт услуг для Смоленска
--  данные выбраны из "Приложение 11 Территориальный классификатор медицинских услуг.xls" в текстовый файл
--

CREATE TEMPORARY TABLE `S` (
`CODE` VARCHAR(31),
`NAME` VARCHAR(255)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COMMENT = 'Справочник услуг';


LOAD DATA LOCAL INFILE 'Приложение 11 Территориальный классификатор медицинских услуг.txt'
    INTO TABLE `S`
    CHARACTER SET cp1251
    FIELDS TERMINATED BY '\t' OPTIONALLY ENCLOSED BY '"'
    LINES TERMINATED BY '\r\n'
    IGNORE 4 LINES;

-- Добавляем новые записи
INSERT INTO `rbService` (code, name, eisLegacy, infis)
    SELECT `CODE` AS `code`, 
           `NAME` AS `name`,
	   1 AS `eisLegacy`,
           `CODE` AS `infis`
      FROM `S`
      WHERE `S`.`CODE` != '' AND `S`.`NAME` != ''