#!/usr/bin/env python
# -*- coding: utf-8 -*-
COMMAND = u"""
-- use kladr;

select 'Очистка таблиц...' as ' ';

delete from eisHouse
where 1;

CREATE temporary TABLE IF NOT EXISTS `tmpTOWN` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ID_TOWN` int(11) NOT NULL,
  `TOWN_NAME` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE  temporary TABLE  IF NOT EXISTS  `kladr`.`tmpGEONIMNAME` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `ID_GEONIM_NAME` INT UNSIGNED NOT NULL ,
  `GEONIM_NAME` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE  temporary TABLE  IF NOT EXISTS  `kladr`.`tmpGEONIMTYPE` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `ID_GEONIM_TYPE` INT UNSIGNED NOT NULL ,
  `TYPE_FULL_NAME` VARCHAR(45) NOT NULL ,
  `CODE` VARCHAR(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`) )
ENGINE = MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE  temporary TABLE  IF NOT EXISTS  `kladr`.`tmpTOPONIM` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `ID_TOPONIM` INT UNSIGNED NOT NULL ,
  `TOPONIM_NAME` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE  temporary TABLE  IF NOT EXISTS  `kladr`.`tmpTownLink` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `ID_TOWN` INT UNSIGNED NOT NULL ,
  `CODE` VARCHAR(11) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE  temporary TABLE IF NOT EXISTS  `kladr`.`tmpPREFIX` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `ID_PREFIX` INT UNSIGNED NOT NULL ,
  `ID_TOWN` INT NOT NULL ,
  `ID_GEONIM_NAME` INT NOT NULL ,
  `ID_GEONIM_TYPE` INT NOT NULL ,
  `ID_TOPONIM` INT NOT NULL,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

delete from tmpTOWN where 1;
delete from tmpGEONIMNAME where 1;
delete from tmpGEONIMTYPE where 1;
delete from tmpPREFIX where 1;
delete from tmpTownLink where 1;
delete from tmpTOPONIM where 1;
select 'Очистка таблиц завершена.' as ' ';
"""

houseStmt = """
    SELECT ID_HOUSE,
                        cast(HOUSE as VARCHAR(30)) AS HOUSE,
                        cast(KORPUS as VARCHAR(30)) AS KORPUS,
                        ID_PREFIX
                FROM HOUSE;
"""

townStmt = """
    SELECT ID_TOWN, TOWN_NAME
    FROM TOWN WHERE IS_ACTIVE=1;
"""

geonimNameStmt = """
    SELECT ID_GEONIM_NAME, GEONIM_NAME
    FROM GEONIM_NAME;
"""

geonimTypeStmt = """
    SELECT ID_GEONIM_TYPE, TYPE_FULL_NAME
    FROM T_GEONIM;
"""

toponimStmt = u"""
    SELECT ID_TOPONIM, cast(TOPONIM_NAME as VARCHAR(60)) AS TOPONIM_NAME
    FROM TOPONIM;
"""

prefixStmt = """
    SELECT ID_PREFIX, ID_TOWN, ID_GEONIM_NAME, ID_GEONIM_TYPE, ID_TOPONIM
    FROM PREFIX WHERE IS_ACTIVE=1;
"""
